## org.hibernate.engine.jdbc.internal.proxy
Class JdbcProxyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.engine.jdbc.internal.proxy.JdbcProxyException

All Implemented Interfaces:
  Serializable

    public class JdbcProxyException

extends HibernateException

Indicates a problem defining or instantiating a JDBC proxy class.

See Also:
  Serialized Form

Constructor Summary
`JdbcProxyException(String message)`
`JdbcProxyException(String message, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JdbcProxyException

    public JdbcProxyException(String message,
                              Throwable root)

### JdbcProxyException

    public JdbcProxyException(String message)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.